%define	name	xdaliclock
%define	version	2.35

Summary:	A melting digital clock
Summary(de):	Eine Uhr für das X-Window-System. 
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Group:		Toys
URL:		http://www.jwz.org/xdaliclock/
BuildRequires:	%{_lib}x11-devel 
BuildRequires:	%{_lib}xext-devel 
BuildRequires:	%{_lib}xt-devel
License:	MIT
Source0:	http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.xz
Patch0:		%{name}-shape-cycle.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xdaliclock program displays a digital clock, with digits that merge
into the new digits as the time changes.  Xdaliclock can display the time
in 12 or 24 hour modes and can will display the date if you hold your
mouse button down over it.  Xdaliclock has two large fonts built in, but
is capable of animating other fonts.

Install the xdaliclock package if you want a fairly large clock, with
a melting special effect, for your system.

%description -l de
Xdaliclock kann die Zeit im 12 oder 24 Stunden-Modus darstellen.

Die xdaliclock-Anwendung zeigt eine Digitaluhr, mit Ziffern, die die neuen Zahlen 
bei den Zeitänderungen zusammengeführt. Xdaliclock zeigt die Zeit in 12 oder 
24-Stunden-Modi und auch das Datum indem Sie die Maustaste darüber, oder darunter 
halten. Xdaliclock enthält zwei große Schriftarten, kann aber auch andere 
Schriftarten animieren.

Installieren Sie das xdaliclock-Paket, wenn Sie eine ziemlich große Uhr, mit 
besonderen verlaufenden Effekten, für Ihr System möchten.

%prep
%setup -q
%patch0 -p1

%build
cd X11
CFLAGS="$RPM_OPT_FLAGS" ./configure	--prefix=%{_prefix} \
				--build=%{_target_platform}
%make

%install
rm -rf $RPM_BUILD_ROOT

cd X11
install -d -m 0755 %buildroot{%_bindir,%_mandir/man1}
make prefix=%buildroot/%_prefix install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Xdaliclock
Comment=A melting digital clock
Comment[de]=Eine Uhr für das X-Window-System.
Exec=%{_bindir}/%{name} 
Icon=toys_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;Clock;Amusement;X-MandrivaLinux-MoreApplications-Games-Toys;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Feb 23 2012 Neal <nealbrks0 at gmail dot com> 2.35-1pclos2012
- process

* Wed Feb 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.35-1pclos2012
- 2.35
- added xz compression
- added german summary, description, comment in desktop file section
- added %{_lib} makro for 64bit
- renamed spec file to pclos-xdaliclock.spec

* Wed Jan 13 2010 Texstar <texstar at gmail.com> 2.24-1pclos2010
- 2.24

